Cymatic ends support for Windows XP

General announcements and other important news

Re: Cymatic ends support for Windows XP

Postby Gavin » Fri Feb 22, 2019 6:42 pm

Hi David,

I'm not sure but I think according the the article, the registry key file is intended to amend the registry by setting the OSVersion to blank, hence making the TSL1.1 and TLS1.2 settings visible in Internet Explorer settings.

Is the minimal login in Cymatic working OK now that you've installed the security patch that was mentioned in the same article?

Kind regards,

Gavin
User avatar
Gavin
Site Admin
 
Posts: 3217
Joined: Wed Jan 23, 2013 9:11 pm
Location: United Kingdom

Re: Cymatic ends support for Windows XP

Postby poet13 » Fri Feb 22, 2019 11:16 pm

Hi Gavin,

Apologies for taking up so much of your time with this, it's all new ground for me.

I found an article in the MFSN forum By VistaLover, July 27, 2017 - Enabling TLS 1.1/1.2 support in Vista's Internet Explorer 9

Which has helped, I now have the TSL1.1 and TLS1.2 settings visible in Internet Explorer settings, and have checked/unchecked them as suggested in the article;

"Prior to KB4019276 and registry manipulations, only "Use TLS 1.0" had been available on Vista; you should have already unchecked the older "Use SSL 2.0/3.0" options, to avoid being targeted by "POODLE" attacks; uncheck "Use TLS 1.0" (optionally also "Use TLS 1.1") and check "Use TLS 1.2""

And despite having installed the security patch I'm still getting the same error when trying to login by either the minimal or standard login.

I've tried checking/unchecking in different combinations without success.

Although Windows Updates said it was up-to-date, I found articles that mentioned several other security updates that I didn't have, so I'm going to double check to see if I'm missing any more.

Obviously any thoughts you might have would be greatly appreciated.

Kind regards,

David
poet13
 
Posts: 11
Joined: Sun Dec 24, 2017 1:37 pm

Re: Cymatic ends support for Windows XP

Postby Gavin » Sat Feb 23, 2019 11:21 am

Hi David,

Thanks for the info. Can you please let me know the following:

1. Can you login to https://www.betfair.com using Internet Explorer directly (not through Cymatic).
2. Can you login to https://www.betfair.com using Chrome directly (not through Cymatic).
3. Were either of the above working prior to doing all the recent updates and fixes on your PC?
4. Do you have any place to try using your PC on a regular broadband connection, instead of going through the mobile phone hot-spot, just in case the mobile phone connection is not supporting TLS 1.2?

Thanks.

Gavin
User avatar
Gavin
Site Admin
 
Posts: 3217
Joined: Wed Jan 23, 2013 9:11 pm
Location: United Kingdom

Re: Cymatic ends support for Windows XP

Postby poet13 » Sat Feb 23, 2019 5:33 pm

Hi Gavin,

1. No I can't login directly using Internet Explorer.
2. Yes I can login directly using Chrome - on both the laptop and tablet.
3 A) I have never logged into Betfair directly using Internet Explorer only via Cymatic. B) Yes logging into Betfair directly using Chrome has always worked.
4. No unfortunately not - no phone line connected here, but the smartphone I use is a Microsoft Lumia 640 LTE, for which the technical specification states "supported security standards: SSL v3.0, TLS v1.0, TLS v1.1, TLS v1.2, Suite B ciphers"

Cheers,

David
poet13
 
Posts: 11
Joined: Sun Dec 24, 2017 1:37 pm

Re: Cymatic ends support for Windows XP

Postby Gavin » Sun Feb 24, 2019 12:22 am

Hi David,

Thanks, that is helpful to know.

Let's check whether TSL 1.2 is working in Internet Explorer by visiting these links:

https://www.howsmyssl.com/

https://www.ssllabs.com/ssltest/viewMyClient.html

As a summary, on Vista you must:
1. Install Service Pack 2 (so that your operating system is Windows Vista SP2.
2. Install Microsoft .NET Framework version 4.5.2 or higher.
3. Install security patch KB4019276
4. Rebooted and edit Internet Options - untick all other SSL/TSL options and only tick TSL 1.2 as explained in the post: enabling-tls-1112-support-in-vistas-internet-explorer-9

So my questions are:
a) Please confirm the results of visiting the SSL/TSL website checkers mentioned above.
b) Are you sure that all of the points 1-4 mentioned above have been completed.
c) Please confirm if you get the same error message or a different one now when you try to do a 'minimal login' via Cymatic.

Thanks and kind regards,

Gavin
User avatar
Gavin
Site Admin
 
Posts: 3217
Joined: Wed Jan 23, 2013 9:11 pm
Location: United Kingdom

Re: Cymatic ends support for Windows XP

Postby poet13 » Sun Feb 24, 2019 2:00 pm

Hi Gavin,

A) The Checks

The How's My SSL check returns 5 good and 1 bad - Insecure Cipher Suites as below;

Bad Your client supports cipher suites that are known to be insecure:
•TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA: This cipher suite uses 3DES which is vulnerable to the Sweet32 attack but was not configured as a fallback in the ciphersuite order.
•TLS_RSA_WITH_3DES_EDE_CBC_SHA: This cipher suite uses 3DES which is vulnerable to the Sweet32 attack but was not configured as a fallback in the ciphersuite order.
•TLS_RSA_WITH_RC4_128_MD5: This cipher suite uses RC4 which has insecure biases in its output.
•TLS_RSA_WITH_RC4_128_SHA: This cipher suite uses RC4 which has insecure biases in its output.


The SSL Labs check is attached as 2 PNG files.


B) In Summary

KB4019276 isn't installed/won't install.

1) System info shows Windows edition as Windows Vista Home Premium, Service Pack 2.
2) Programs & Features lists Microsoft.NET Framework 4.5.2 as installed (and also .NET Framework 3.5 SP1 and .NET Framework 1.1)
3) When I originally went through the Vistalover post (enabling-tls-1112-support-in-vistas-internet-explorer-9) security patch KB4019276 would not install - it opens up the standalone installer, searchs for updates then returns the message "the update does not apply to your system" I tried, in date order the different versions for Windows Server 2008, but each gave the same error.
Near the end of the post is a comment by erpdude8 "The KB4019276 update has been superseded/replaced by KB4056564..." and "... KB4019276 is no longer needed." I installed KB4056564 successfully.
4) Have edited Internet Options so that only TSL 1.2 is ticked.

C) Yes, still get the same error with minimal login.

Kind Regards,

David
You do not have the required permissions to view the files attached to this post.
poet13
 
Posts: 11
Joined: Sun Dec 24, 2017 1:37 pm

Re: Cymatic ends support for Windows XP

Postby poet13 » Mon Feb 25, 2019 7:59 pm

Hi Gavin,

Been rooting about on the internet re TLS 1.2 and Vista, found a link on the Betfair Developer Program Forum entitled Betfair API Login - TLS 1.2 - from 19th February 2019, which contained a link to https://docs.microsoft.com/en-us/dotnet ... amming/tls

Near the end of the page there's a section Support for TLS 1.2 (below)

Support For TLS1-2.PNG


Which lists Vista as Not Supported.

The box preceding this - Windows Server 2008 refers to an article that links to that security update "KB4019276" that's not compatible with my system.

So,I think it's back to upgrading my computer set-up.

Thanks for all your help, I'm sorry that it's taken up so much time.

Kind Regards,

David
You do not have the required permissions to view the files attached to this post.
poet13
 
Posts: 11
Joined: Sun Dec 24, 2017 1:37 pm

Re: Cymatic ends support for Windows XP

Postby Gavin » Tue Feb 26, 2019 12:57 am

Hi David,

I have found a mixture of claims made by articles on the internet, some purporting that Vista can be made compatible with TLS 1.2, but I also found a couple that stated that it was not compatible. I think you are right that we must now conclude that the information stating that Vista is not compatible, must be correct. I am sorry for the confusion about all this, but I had hoped that the other articles were going to be helpful.

I'm really sorry that you've spend so much of your time trying to make it work but to no avail. Thanks for all your understanding. I hope that upgrading your computer setup goes as smoothly as possible.

With best wishes,

Gavin
User avatar
Gavin
Site Admin
 
Posts: 3217
Joined: Wed Jan 23, 2013 9:11 pm
Location: United Kingdom

Re: Cymatic ends support for Windows XP

Postby poet13 » Thu Feb 28, 2019 12:11 pm

Hi Gavin,

Yes, it's a shame we couldn't resolve it but I'm sure there would be other (non Cymatic related) issues ahead for me, although I am currently suffering Cymatic Trader withdrawal symptoms! Hellish time the other night trying to sort an inplay footy trade.

Haven't upgraded yet, but will do soon and probably to something with Windows 10, so may need to contact you re download/setup for new machine etc.

In the meantime, thanks for your time and help, and also for a great piece of kit, which I know I could utilise a lot more than I do.

Cheers, David
poet13
 
Posts: 11
Joined: Sun Dec 24, 2017 1:37 pm

Re: Cymatic ends support for Windows XP

Postby Gavin » Thu Feb 28, 2019 2:21 pm

Hi David,

Thanks for your kind words and understanding.

It might be worth you taking a look at the Amazon AWS (Amazon Web Services) product called an EC2 server instance. It is hosted in an Amazon data centre. They offer a Windows 2016 Server version free for 12 months and you'd get a fast connection to Betfair because it would be hosted in a data centre. You'd simply connect to your server using Remote Desktop from your Windows XP computer.

Kind regards,

Gavin
User avatar
Gavin
Site Admin
 
Posts: 3217
Joined: Wed Jan 23, 2013 9:11 pm
Location: United Kingdom

Previous

Return to Announcements

Who is online

Users browsing this forum: No registered users and 0 guests